Categories
SugiBlog ホームページ制作・システム開発

vpopmal 転送設定

vpopmailのaliasを使ってメールを転送する方法

例)
vpopmailのインストール先:/home/vpopmail
転送元アドレス:moto@example.jp
転送先アドレス:saki@example.net

# 転送設定
/home/vpopmail/bin/valias -i saki@example.net moto@example.jp

# 転送設定の確認
/home/vpopmail/bin/valias -s example.jp

# 転送設定の解除
/home/vpopmail/bin/valias -d moto@example.jp
490 views

rblsmtpd [ucspi-tcp]

ucspi-tcpパッケージのrblsmtpdのオプション紹介

rblsmtpdはRBL(Realtime Blackhole List)データベースを利用して
スパムメール送信者であるかを判断するプログラムです。

オプション

オプション 説明
-a address addressをアンチRBLデータベースとして利用
-b アドレスがRBLに掲載されている場合、エラーコード533553を返す
-B アドレスがRBLに掲載されている場合、エラーコード451エラーコードを返す(デフォルト)
-c RBLの検索に失敗した場合に接続を拒否
-r address addressをRBLデータベースとして利用
-t n n秒のタイムアウト値を設定

エラーコード533:STMPサーバが送信を拒否
エラーコード553:STMPサーバが送信を拒否
エラーコード451:要求された処理の実行中にエラーが発生したため、処理に失敗。(サーバ側のエラー)
※実際にはデフォルトで553が返されていました。→公式サイトで確認すると553で、私が参考にした書籍が533となっていました。
http://cr.yp.to/ucspi-tcp/rblsmtpd.html [英語]
続きを読む…»

1,025 views

tcpserver [ucspi-tcp]

ucspi-tcpパッケージのtcpserverのオプション紹介

基本オプション

オプション 説明
-v すべてのメッセージをstderrに出力
-q メッセージをstderrに出力しない
-Q エラーメッセージのみをstderrに出力(デフォルト)

続きを読む…»

636 views

qmailの起動スクリプト

#!/bin/sh
# qmail: /var/qmail
. /etc/rc.d/init.d/functions

[ -f /var/qmail/rc ] || exit 0

case "$1" in
	start)

		# Start daemons.

		echo "Starting qmail."
		csh -cf '/var/qmail/rc &'

		# Starting tcpserver with pop3d
		/usr/local/bin/tcpserver -R 0 110 /var/qmail/bin/qmail-popup \
		mail.example.jp \
		/home/vpopmail/bin/vchkpw /var/qmail/bin/qmail-pop3d Maildir 2&>1 \
		| /var/qmail/bin/splogger pop3d &

		if [ $? = 0 ] ; then
			echo "pop3d starting:" `echo_success`
		else
			echo "pop3d starting:" `echo_failure`
		fi

		# Starting tcpserver with smtpd
		/usr/local/bin/tcpserver -v -x /home/vpopmail/etc/tcp.smtp.cdb \
		-c 100 -u qmaild -g nofiles \
		0 smtp /var/qmail/bin/qmail-smtpd 2>&1 | /var/qmail/bin/splogger smtpd &

		/usr/local/bin/tcpserver -v -x /home/vpopmail/etc/tcp.smtp.cdb \
		-c 100 -u qmaild -g nofiles \
		0 587 /var/qmail/bin/qmail-smtpd 2>&1 | /var/qmail/bin/splogger smtpd &

		if [ $? = 0 ] ; then
			echo "smtpd starting:" `echo_success`
		else
			echo "smtpd starting:" `echo_failure`
		fi

		touch /var/lock/subsys/qmaild
		;;

	stop)

		# Stop daemons.
		echo "Shutting down qmail."

		killall -g qmail-send
		if [ $? = 0 ] ; then
			echo "stopping smtpd:" `echo_success`
		else
			echo "stopping smtpd:" `echo_failure`
		fi

		killall -g tcpserver

		if [ $? = 0 ] ; then
			echo "stopping pop3d:" `echo_success`
		else
			echo "stopping pop3d:" `echo_failure`
		fi

		rm -f /var/lock/subsys/qmaild
		;;

	restart)

		$0 stop
		$0 start
		;;

	*)

		echo "Usage: `basename $0` {start|stop|restart}" >&2
		exit 64
		;;
esac

exit 0
728 views

エンベロープ【envelope】

エンベロープ(封筒)とは、電子メールメッセージの配送の際にメール本体に付加されるデータで、送信者と宛先の2つあります。
これはメールヘッダーに付加される情報とは異なり、実際の配送に使われる情報です。

送信者はMAIL FROM:、宛先はRCPT TO:となります。
ここに設定される情報は通常、メーラーでは見れないが、
メールヘッダーのReturn-Path:にMAIL FROM:の内容が、Received:にRCPT TO:の内容が記録されていることがあります。
エンベロープの送信者・宛先はメッセージの配送に使われる実際の送信者・宛先であり、ヘッダーに書かれているものとは異なる場合がある。つまりいくらでも詐称することが可能ということである。

777 views